<!--
  Generated template for the ReviewDriverPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Review Driver</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div class="text-center pad-all-10"> 

		<div class="img-avatar" style="padding: 0 20% 0 20%;">
            <img *ngIf="profile.startsWith('h')" [src]="profile">
            <img *ngIf="profile.startsWith('/')" [src]="url+profile">
         </div>

        <h2>Please rate {{name}}:</h2>

		<ionic3-star-rating 
		    activeIcon = "ios-star"
		    defaultIcon = "ios-star-outline"
		    activeColor = "#ffcc00" 
          	defaultColor = "#ffcc00"
		    readonly="false"
		    [rating]="rating">
		</ionic3-star-rating> 

		<div class="form">
			<h2> Tell us about your experience:</h2>
			<ion-item>
				<ion-textarea type="textarea" [(ngModel)]="body" rows="6" cols="1"
				placeholder="Write your review of the ride here..." ></ion-textarea>
			</ion-item>
			<button (click)="storeReview()" ion-button color="primary" class="btn rounded">
	          Submit
	        </button>
    	</div>
	</div>
</ion-content>
